package com.dgtly.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * 弹框配置对象 alert_configuration
 * 
 * @author chenyn
 * @date 2023-06-13
 */
public class AlertConfiguration extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long alertId;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Long isDelete;

    /** 弹框内容 */
    @Excel(name = "弹框内容")
    private String alertContent;

    /** 弹框开始时间 */
    @Excel(name = "弹框开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    private Date alertStartTime;

    /** 弹框结束时间 */
    @Excel(name = "弹框结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    private Date alertEndTime;

    /** 弹框每日可弹次数 */
    @Excel(name = "弹框每日可弹次数")
    private Long alertNum;

    /** 用户类型默认0立邦员工1经销商 */
    @Excel(name = "用户类型默认0立邦员工1经销商")
    private String userType;

    /** 是否启动默认0未启动，1启动 */
    @Excel(name = "是否启动默认0未启动，1启动")
    private String alertStatus;

    public void setAlertId(Long alertId) 
    {
        this.alertId = alertId;
    }

    public Long getAlertId() 
    {
        return alertId;
    }
    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }
    public void setAlertContent(String alertContent) 
    {
        this.alertContent = alertContent;
    }

    public String getAlertContent() 
    {
        return alertContent;
    }
    public void setAlertStartTime(Date alertStartTime) 
    {
        this.alertStartTime = alertStartTime;
    }

    public Date getAlertStartTime() 
    {
        return alertStartTime;
    }
    public void setAlertEndTime(Date alertEndTime) 
    {
        this.alertEndTime = alertEndTime;
    }

    public Date getAlertEndTime() 
    {
        return alertEndTime;
    }
    public void setAlertNum(Long alertNum) 
    {
        this.alertNum = alertNum;
    }

    public Long getAlertNum() 
    {
        return alertNum;
    }
    public void setUserType(String userType) 
    {
        this.userType = userType;
    }

    public String getUserType()
    {
        return userType;
    }

    public String getAlertStatus() {
        return alertStatus;
    }

    public void setAlertStatus(String alertStatus) {
        this.alertStatus = alertStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("alertId", getAlertId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .append("alertContent", getAlertContent())
            .append("alertStartTime", getAlertStartTime())
            .append("alertEndTime", getAlertEndTime())
            .append("alertNum", getAlertNum())
            .append("userType", getUserType())
            .append("alertStatus", getAlertStatus())
            .toString();
    }
}
